Set the firm's override Run in API Explorer
Ask AI
Sets the firm's own value for a network setting. Only available when the setting is owned at Firm level, the firm is not a sub-firm, and the setting is currently Overridable.
PUT
/api/v1/firm/{firm_uuid}/network-settings/{key}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/firm/6ff8f7f6-1eb3-3525-be4a-3932c805afed/network-settings/mandatory_firm_two_factor' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"value": "true"
}'
Request examples
{
"value": "true"
}
Response examples (200)
[
{
"key": "mandatory_firm_two_factor",
"label": "Mandatory firm 2FA",
"value": true,
"source": "network",
"source_firm": {
"uuid": "53f22fe4-3731-4cdc-aa12-e65bd0b15e52",
"name": "Harbour Wealth"
},
"owning_level": "network",
"lock_status": "overridable",
"editable": true,
"locked_message": "Mandatory firm 2FA is mandated by Network and cannot be changed for your firm."
}
]
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}